#ifndef STACK_H
#define STACK_H

// Ove vrednosti je moguce podesavati tako da odgovaraju konkretnom problemu
// Mozda je u nekom problemu vec na pocetku potrebno mnogo elemenata pa bismo stavili npr. StartingStackSize = 500
// Mozda jako cesto popunjavamo niz do kraja, pa bi bilo dobro da se alociranje novog niza, kopiranje svih elemenata i brisanje starog niza ne radi cesto, tada bismo stavili npr. StackSizeIncrement = 50
// Mozda jako retko popunjavamo niz do kraja, tada bismo stavili npr. StackSizeIncrement = 1 da ne bismo bez potrebe previse sirili niz i zauzimali memoriju
// itd...
const int StartingStackSize = 5;
const int StackSizeIncrement = 5;
const int StackSizeDecrement = 5;

class Stack {
public:
	Stack();

	bool push(int in);
	bool pop(int* out);
	
	bool isEmpty();

	~Stack();

private:
	int sp;
	// int stack[MaxStackSize];
	int* stack;	// koristimo dinamicki niz
	int size;
};

#endif