#include <iostream>
#include "ParenChecker.h"
using namespace std;

ParenChecker::ParenChecker(Stack* stack) {
	this->stack = stack;
}

bool ParenChecker::getCheck(string input) {
	int parenID = 1;
	int poppedID = 0;
	for (unsigned i = 0; i < input.length(); i++) {
		if (input[i] == '(') {
			if (stack->push(parenID) == false) {
				return false;
			}
			cout << parenID++;
		}
		else if (input[i] == ')') {
			if (stack->pop(&poppedID) == false) {
				return false;
			}
			cout << poppedID;
		}
	}
	return stack->isEmpty();
}
