#ifndef COMPLEX_H
#define COMPLEX_H

#include <string>
using namespace std;

class Complex {
public:
	Complex(string var, int re, int im);
	Complex(string z);

	int getReal();
	int getImag();

	double abs();
	double arg();

	void print();

	static Complex* add(string var, Complex* z1, Complex* z2);
	static Complex* sub(string var, Complex* z1, Complex* z2);

private:
	int fetchName(string z);
	int fetchReal(string z, int i);
	int fetchImag(string z, int i);
	int skipSpaces(string z, int i);

	int re, im;
	string var;
};

#endif
